<?php

// web routes  for blacklist
Route::prefix('{guard}/blacklist')->group(function () {
    Route::resource('blacklist', 'BlacklistResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BlacklistResourceController');
            });
            // Public routes for pages
            Route::get('blacklists/', 'BlacklistPublicController@index');
            Route::get('blacklists/{slug?}', 'BlacklistPublicController@show');
        }
    );
}

