<?php

// API routes  for blacklist
Route::prefix('{guard}/blacklist')->group(function () {
    Route::get('blacklist/form/{element}', 'BlacklistAPIController@form');
    Route::resource('blacklist', 'BlacklistAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for blacklists
            Route::prefix('{guard}/blacklist')->group(function () {
                Route::get('blacklist/form/{element}', 'BlacklistAPIController@form');
                Route::apiResource('blacklist', 'BlacklistAPIController');
            });
            // Public routes for blacklists
            Route::get('blacklist/Blacklist', 'BlacklistPublicController@getBlacklist');
        }
    );
}

